:root {
    --bs-body-font-weight: normal;
}

.nav-link { font-weight: normal;}
.bs-checkbox  input { -webkit-appearance: auto !important;  }
[data-schema-index] ,
[data-schema-code] {
    visibility: hidden;
}
[data-schema-index][data-schema-done],
[data-schema-code][data-schema-done] {
    visibility: initial;
}
/*
.bootstrap-table .table {
    table-layout: fixed !important;
}
.bootstrap-table .table tbody tr td{
    overflow: hidden;
    text-overflow:ellipsis;
    white-space: nowrap;
}
*/

table {
    caption-side: top !important;
}

.table{table-layout:fixed;}

[data-condition-group] {
    margin-bottom: 15px;
}

[data-condition-group] [data-group-confition-type] {
    display: none;
}

[data-condition-group="1"] [data-group-confition-type] {
    display: inline-block;
}

[data-condition-group="0"] + [data-action-bar] [data-remove-group] {
    display: none;
}

[data-condition-row] [data-add-condition], [data-condition-row] [data-remove-condition] {
    display: none;
}


[data-condition-row] [data-row-confition-type] {
    display: none
   /* width: 120px*/
}

[data-condition-row="1"] [data-row-confition-type] {
    display: inline-block;
}


[data-condition-row]:first-child [data-remove-condition] {
    display: none !important;
}

[data-condition-row]:last-child [data-add-condition] , [data-condition-row]:last-child [data-remove-condition] {
    display: inline-block;
}

/**
* 多行省略号
 */
.multiline-ellipsis {
    overflow: hidden;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 2;
    line-clamp: 2;
    text-overflow: ellipsis;
    max-height: 4.5em;
    line-height: 1.5em;
    white-space: normal;
}

/**
* 修改.select2 样式
*/
.select2-container .select2-selection--single {
    height: initial !important;
}

.select2-container--default .select2-selection--single .select2-selection__arrow {
    top: 12px !important;
    right: 4px !important;
}

.select2-container--default .select2-selection--single {
    border: 1px solid rgba(8, 60, 130, 0.07) !important;
    padding: 0.6rem 1rem;
    height: 51px !important;
    border-radius: 0.4rem !important;
}

.select2-container--default .select2-selection--multiple {
    padding: 0.22rem 1rem;
    background-color: #fefefe !important;
    border: 1px solid rgba(8, 60, 130, 0.07) !important;
    min-height: 51px !important;

    border-radius: 0.4rem !important;
    box-shadow: 0rem 0rem 1.25rem rgba(30, 34, 40, 0.04);
    transition: border-color 0.15s ease-in-out, box-shadow
}

.select2-container--default.select2-container--focus .select2-selection--multiple{
    border: 1px solid rgba(8, 60, 130, 0.07) !important;
}

.handsontable input, .handsontable textarea {
    -webkit-appearance: auto !important;
}

.all-revert * {
    all: revert;
}

#_global_top {
    --bs-border-color: #eeeeee;
}

#_global_top .dropdown-toggle:after {
    line-height: initial;
}

.database-header .nav-link {
    padding: 0.6rem 1rem;
    font-weight: normal;
}

.database-header .nav-link.active {
    position: relative;
    font-weight: bold;
}

.database-header .nav-link.active:after {
    content: '';
    display: block;
    position: absolute;
    left: 0;
    right: 0;
    bottom: 1px;
    height: 3px;
    background: #343f52;
}

.my-nav-tabs-basic .nav-link{
    font-weight: normal;
    border: none !important;
}

.my-nav-tabs-basic .nav-link.active{
    font-weight: bold;
    border: none !important;
}

.search-select-prefix {
    padding: 0 5px;
    font-size: small;
    position: absolute;
    top: -12px;
    left: 5px;
    z-index: 999;
    background: white;
    max-width: 150px;
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
}

.search-select-prefix:empty {
    display: none;
}